---
title: DeviceMotionEventAcceleration
slug: Web/API/DeviceMotionEventAcceleration
tags:
  - API
  - DeviceAcceleration
  - Experimental
  - Interface
  - NeedsExample
  - Reference
---
<div>{{ ApiRef("Device Orientation Events") }}{{SeeCompatTable}}</div>

<p>A <strong><code>DeviceMotionEventAcceleration</code></strong> object provides information about the amount of acceleration the device is experiencing along all three axes.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("DeviceMotionEventAcceleration.x")}} {{readonlyInline}}</dt>
 <dd>The amount of acceleration along the X axis. <strong>Read only.</strong></dd>
 <dt>{{domxref("DeviceMotionEventAcceleration.y")}} {{readonlyInline}}</dt>
 <dd>The amount of acceleration along the Y axis. <strong>Read only.</strong></dd>
 <dt>{{domxref("DeviceMotionEventAcceleration.z")}} {{readonlyInline}}</dt>
 <dd>The amount of acceleration along the Z axis. <strong>Read only.</strong></dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Device Orientation", "#devicemotioneventacceleration", "DeviceMotionEventAcceleration")}}</td>
   <td>{{Spec2("Device Orientation")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceMotionEventAcceleration")}}</p>
